package com.danitheskunk.skunkgame;

public class Cost {
	private final CostElement[] elements;

	public Cost(CostElement[] elements) {
		this.elements = elements;
	}

	public boolean canAfford() {
		for(var element : elements) {
			if(element.getAmount() > SkunkGame.getRes(element.getRes())) {
				return false;
			}
		}
		return true;
	}

	public void use() {
		for(var element : elements) {
			SkunkGame.addRes(element.getRes(), -element.getAmount());
		}
	}
}
